cURL
curl --request DELETE \
--url https://api.botpress.cloud/v1/files/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>'import requests
url = "https://api.botpress.cloud/v1/files/{id}"
headers = {
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-bot-id': '<x-bot-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.botpress.cloud/v1/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{}deleteFile
Deletes a file.
DELETE
/
v1
/
files
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bot id
Integration id
Integration alias
Integration name
User Id
User Role
Path Parameters
File ID or Key
Response
Empty response.
The response is of type deleteFileResponse · object.
Last modified on April 14, 2025
Was this page helpful?
⌘I